ibmtjbot/tjbot 软件分析报告

基础信息

项目名称:ibmtjbot/tjbot

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1718756399362211840/1718756399441903616

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
Axios 服务器端请求伪造漏洞 SSRF MPS-2020-16365 CVE-2020-28168 中危
lodash 拒绝服务漏洞 拒绝服务 MPS-2021-2574 CVE-2020-28500 中危
lodash 命令注入漏洞 代码注入 MPS-2021-2638 CVE-2021-23337 高危
Axios 拒绝服务漏洞 拒绝服务 MPS-2021-30688 CVE-2021-3749 高危
Ruy Adorno hosted-git-info 正则表达式拒绝服务漏洞 拒绝服务 MPS-2021-3400 CVE-2021-23362 中危
Async 原型污染漏洞 原型污染 MPS-2021-34434 CVE-2021-43138 高危
json-schema 安全漏洞 原型污染 MPS-2021-34478 CVE-2021-3918 严重
minimist 安全漏洞 原型污染 MPS-2021-38405 CVE-2021-44906 严重
npm path-parse 安全漏洞 拒绝服务 MPS-2021-6165 CVE-2021-23343 高危
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
Color-String 拒绝服务 MPS-2021-8683 CVE-2021-29060 中危
follow-redirects 侵犯隐私 MPS-2022-0815 CVE-2022-0155 中危
jsonwebtoken远程代码执行漏洞 代码注入 MPS-2022-1956 CVE-2022-23529 高危
jsonwebtoken 加密问题漏洞 密码算法不安全 MPS-2022-1966 CVE-2022-23539 高危
jsonwebtoken 数据伪造问题漏洞 密码学签名的验证不恰当 MPS-2022-1967 CVE-2022-23540 高危
JsonWebToken 身份验证不当 MPS-2022-1968 CVE-2022-23541 中危
follow-redirects 未授权敏感信息泄露 MPS-2022-3636 CVE-2022-0536 中危
Express 中的 qs 模块存在原型污染漏洞 原型污染 MPS-2022-3967 CVE-2022-24999 高危
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
minimatch 资源管理错误漏洞 拒绝服务 MPS-2022-59845 CVE-2022-3517 高危
Tauri 原型污染漏洞 原型污染 MPS-2022-65568 CVE-2022-46175 高危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
request SSRF防御绕过漏洞 SSRF MPS-2023-7722 CVE-2023-28155 中危
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
json-schema 0.2.3 0.4.0 间接依赖 建议修复
json5 1.0.1 1.0.2 间接依赖 建议修复
path-parse 1.0.6 1.0.7 间接依赖 建议修复
qs 6.5.2 6.5.3 间接依赖 建议修复
axios 0.18.1 0.21.3 间接依赖 建议修复
minimatch 3.0.4 3.0.5 间接依赖 建议修复
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
minimist 1.2.5 1.2.6 间接依赖 建议修复
glob-parent 5.1.1 5.1.2 间接依赖 建议修复
tough-cookie 2.5.0 4.1.3 间接依赖 建议修复
jsonwebtoken 8.5.1 9.0.0 间接依赖 建议修复
tough-cookie 4.0.0 4.1.3 间接依赖 建议修复
request 2.88.2 间接依赖 可选修复
semver 7.3.2 7.5.2 间接依赖 可选修复
lodash 4.17.20 4.17.21 间接依赖 可选修复
hosted-git-info 2.8.8 2.8.9 间接依赖 可选修复
follow-redirects 1.5.10 1.14.8 间接依赖 可选修复
color-string 1.5.4 1.5.5 间接依赖 可选修复
async 3.2.0 3.2.2 间接依赖 可选修复

许可证风险

许可证类型 相关组件 许可证风险
MIT 259
BSD-2-Clause 9
ISC 21
BSD-3-Clause 7
Apache-2.0 14
Unlicense 1
自定义许可证 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
twitter 1.7.1 直接依赖 npm
tsconfig-paths 3.9.0 间接依赖 npm
process-nextick-args 2.0.1 直接依赖 npm
isstream 0.1.2 间接依赖 npm
read-pkg 2.0.0 间接依赖 npm
json5 1.0.1 间接依赖 npm
esutils 2.0.3 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
enquirer 2.3.6 间接依赖 npm
uuid 3.4.0 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
find-up 2.1.0 间接依赖 npm
getpass 0.1.7 间接依赖 npm
jwa 1.4.1 间接依赖 npm
is-buffer 2.0.5 间接依赖 npm
read-pkg-up 2.0.0 间接依赖 npm
is-stream 2.0.0 间接依赖 npm
string_decoder 1.3.0 间接依赖 npm
@types/node 13.13.30 间接依赖 npm
strip-bom 3.0.0 间接依赖 npm
rimraf 2.6.3 间接依赖 npm
flat-cache 2.0.1 间接依赖 npm
@types/json5 0.0.29 间接依赖 npm
one-time 1.0.0 间接依赖 npm
bindings 1.5.0 间接依赖 npm
har-validator 5.1.5 间接依赖 npm
core-util-is 1.0.2 直接依赖 npm
acorn-jsx 5.3.1 间接依赖 npm
eslint-utils 2.1.0 间接依赖 npm
esquery 1.3.1 间接依赖 npm
bufferutil 4.0.2 间接依赖 npm
@eslint/eslintrc 0.2.1 间接依赖 npm
forever-agent 0.6.1 间接依赖 npm
@babel/helper-validator-identifier 7.10.4 间接依赖 npm
@types/file-type 5.2.2 间接依赖 npm
es5-ext 0.10.53 间接依赖 npm
is-symbol 1.0.3 间接依赖 npm
ajv 6.12.6 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
callsites 3.1.0 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
graceful-fs 4.2.4 间接依赖 npm
nan 2.14.2 间接依赖 npm
form-data 2.5.1 间接依赖 npm
chalk 4.1.0 间接依赖 npm
assert-plus 1.0.0 间接依赖 npm
path-parse 1.0.6 间接依赖 npm
debug 4.2.0 间接依赖 npm
jsbn 0.1.1 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
deep-is 0.1.3 间接依赖 npm
micromatch 4.0.2 间接依赖 npm
tunnel-agent 0.6.0 间接依赖 npm
asn1 0.2.4 间接依赖 npm
uri-js 4.4.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
asynckit 0.4.0 间接依赖 npm
lodash.isnumber 3.0.3 间接依赖 npm
import-fresh 3.2.1 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
hosted-git-info 2.8.8 间接依赖 npm
utf-8-validate 5.0.3 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
delayed-stream 1.0.0 间接依赖 npm
emoji-regex 7.0.3 间接依赖 npm
jest-matcher-utils 26.6.2 间接依赖 npm
object.entries 1.1.2 间接依赖 npm
lodash.isplainobject 4.0.6 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
punycode 2.1.1 间接依赖 npm
es-abstract 1.18.0-next.1 间接依赖 npm
sshpk 1.16.1 间接依赖 npm
write 1.0.3 间接依赖 npm
readline-sync 1.4.10 直接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
astral-regex 1.0.0 间接依赖 npm
pkg-dir 2.0.0 间接依赖 npm
@eslint/eslintrc 0.1.3 间接依赖 npm
stack-trace 0.0.10 间接依赖 npm
lodash.isboolean 3.0.3 间接依赖 npm
strip-ansi 6.0.0 间接依赖 npm
is-negative-zero 2.0.0 直接依赖 npm
qs 6.5.2 间接依赖 npm
isexe 2.0.0 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
p-limit 1.3.0 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
eslint-plugin-import 2.22.1 直接依赖 npm
once 1.4.0 间接依赖 npm
@types/extend 3.0.1 间接依赖 npm
bluebird 3.7.2 间接依赖 npm
contains-path 0.1.0 间接依赖 npm
object.values 1.1.1 间接依赖 npm
tjbot 2.0.0 直接依赖 npm
triple-beam 1.3.0 间接依赖 npm
espree 7.3.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
color-name 1.1.4 间接依赖 npm
file-entry-cache 5.0.1 间接依赖 npm
har-schema 2.0.0 间接依赖 npm
json-schema 0.2.3 间接依赖 npm
minimatch 3.0.4 间接依赖 npm
text-hex 1.0.0 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
optionator 0.9.1 间接依赖 npm
text-table 0.2.0 间接依赖 npm
@types/yargs 15.0.9 间接依赖 npm
@types/isstream 0.1.0 间接依赖 npm
jws 3.2.2 间接依赖 npm
is-glob 4.0.1 间接依赖 npm
array-includes 3.1.1 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
combined-stream 1.0.8 间接依赖 npm
verror 1.10.0 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
bcrypt-pbkdf 1.0.2 间接依赖 npm
acorn 7.4.1 间接依赖 npm
path-type 2.0.0 间接依赖 npm
is-callable 1.2.2 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
jest-get-type 26.3.0 间接依赖 npm
@types/stack-utils 2.0.0 间接依赖 npm
eslint-import-resolver-node 0.3.4 间接依赖 npm
mime-db 1.44.0 间接依赖 npm
define-properties 1.1.3 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
is-regex 1.1.1 间接依赖 npm
inherits 2.0.4 间接依赖 npm
path-exists 3.0.0 间接依赖 npm
table 5.4.6 间接依赖 npm
@types/istanbul-lib-coverage 2.0.3 间接依赖 npm
is-extendable 1.0.1 间接依赖 npm
v8-compile-cache 2.1.1 间接依赖 npm
semver 7.3.2 间接依赖 npm
dashdash 1.14.1 间接依赖 npm
camelcase 6.2.0 间接依赖 npm
has-flag 4.0.0 间接依赖 npm
ibm-cloud-sdk-core 2.4.4 间接依赖 npm
node-gyp-build 4.2.3 间接依赖 npm
eslint-config-airbnb-base 14.2.0 直接依赖 npm
array.prototype.flat 1.2.3 间接依赖 npm
aws4 1.10.1 间接依赖 npm
winston-transport 4.4.0 间接依赖 npm
is-string 1.0.5 间接依赖 npm
color 3.0.0 间接依赖 npm
string-width 3.1.0 间接依赖 npm
@types/istanbul-reports 3.0.0 间接依赖 npm
jsonwebtoken 8.5.1 间接依赖 npm
glob 7.1.6 间接依赖 npm
colornames 1.1.1 间接依赖 npm
colorspace 1.1.2 间接依赖 npm
levn 0.4.1 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
tough-cookie 4.0.0 间接依赖 npm
stack-utils 2.0.2 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
@babel/code-frame 7.10.4 间接依赖 npm
js-yaml 3.14.0 间接依赖 npm
kuler 2.0.0 间接依赖 npm
object.assign 4.1.1 间接依赖 npm
minimist 1.2.5 间接依赖 npm
es6-symbol 3.1.3 间接依赖 npm
axios-cookiejar-support 1.0.1 间接依赖 npm
inflight 1.0.6 间接依赖 npm
@jest/types 26.6.2 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
@types/websocket 1.0.1 间接依赖 npm
glob-parent 5.1.1 间接依赖 npm
object.omit 3.0.0 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
has 1.0.3 间接依赖 npm
ext 1.4.0 间接依赖 npm
pretty-format 26.6.2 间接依赖 npm
fecha 4.2.0 间接依赖 npm
temp 0.9.2 间接依赖 npm
http-signature 1.2.0 间接依赖 npm
argparse 1.0.10 间接依赖 npm
eslint-module-utils 2.6.0 间接依赖 npm
es-to-primitive 1.2.1 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
type-check 0.4.0 间接依赖 npm
color-model 0.2.2 间接依赖 npm
image-type 4.1.0 间接依赖 npm
tough-cookie 2.5.0 间接依赖 npm
is-core-module 2.0.0 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
jest-regex-util 26.0.0 间接依赖 npm
fn.name 1.1.0 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
enabled 2.0.0 间接依赖 npm
slash 3.0.0 间接依赖 npm
string.prototype.trimstart 1.0.2 间接依赖 npm
progress 2.0.3 间接依赖 npm
caseless 0.12.0 间接依赖 npm
@dlukanin/cla-mapper 1.1.0 间接依赖 npm
async 3.2.0 间接依赖 npm
mic 2.1.2 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
sleep 6.3.0 间接依赖 npm
@types/tough-cookie 4.0.0 间接依赖 npm
file-uri-to-path 1.0.0 间接依赖 npm
fifo 2.3.0 间接依赖 npm
lodash.includes 4.3.0 间接依赖 npm
path-key 3.1.1 间接依赖 npm
node-addon-api 3.0.2 间接依赖 npm
next-tick 1.0.0 间接依赖 npm
logform 2.2.0 间接依赖 npm
pify 2.3.0 间接依赖 npm
pigpio 3.2.4 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
lodash.isinteger 4.0.4 间接依赖 npm
lodash.isempty 4.4.0 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
is-extglob 2.1.1 间接依赖 npm
d 1.0.1 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
@babel/highlight 7.10.4 间接依赖 npm
node-raspistill 1.0.3 间接依赖 npm
object-inspect 1.8.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
string.prototype.trimend 1.0.2 间接依赖 npm
globals 12.4.0 间接依赖 npm
esprima 4.0.1 间接依赖 npm
universalify 0.1.2 直接依赖 npm
isobject 3.0.1 间接依赖 npm
load-json-file 2.0.0 间接依赖 npm
ecc-jsbn 0.1.2 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
psl 1.8.0 间接依赖 npm
has-symbols 1.0.1 间接依赖 npm
locate-path 2.0.0 间接依赖 npm
form-data 2.3.3 间接依赖 npm
deep-extend 0.5.1 间接依赖 npm
regexpp 3.1.0 间接依赖 npm
lodash.isstring 4.0.1 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
dotenv 6.2.0 间接依赖 npm
tweetnacl 0.14.5 间接依赖 npm
call-bind 1.0.0 间接依赖 npm
ansi-colors 4.1.1 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
performance-now 2.1.0 间接依赖 npm
winston 3.3.3 间接依赖 npm
v8-compile-cache 2.2.0 间接依赖 npm
isarray 1.0.0 直接依赖 npm
rpi-ws281x-native 0.10.0 间接依赖 npm
ibm-watson 5.7.1 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
es6-iterator 2.0.3 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
colors 1.4.0 间接依赖 npm
jest-diff 26.6.2 间接依赖 npm
lodash 4.17.20 间接依赖 npm
is-core-module 2.1.0 间接依赖 npm
json-stringify-safe 5.0.1 间接依赖 npm
mime-types 2.1.27 间接依赖 npm
@types/async 3.2.3 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
extsprintf 1.3.0 间接依赖 npm
confusing-browser-globals 1.0.10 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
readable-stream 3.6.0 间接依赖 npm
jest-message-util 26.6.2 间接依赖 npm
p-locate 2.0.0 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
which 2.0.2 间接依赖 npm
parse-json 2.2.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
supports-color 5.5.0 间接依赖 npm
@dabh/diagnostics 2.0.2 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
semaphore 1.1.0 间接依赖 npm
import-fresh 3.2.2 间接依赖 npm
follow-redirects 1.5.10 间接依赖 npm
fast-safe-stringify 2.0.7 间接依赖 npm
ms 2.1.2 间接依赖 npm
flatted 2.0.2 间接依赖 npm
expect 26.6.2 间接依赖 npm
request 2.88.2 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
mkdirp 0.5.5 间接依赖 npm
ignore 4.0.6 间接依赖 npm
eslint 7.12.1 直接依赖 npm
sound-player 1.0.13 间接依赖 npm
es-abstract 1.17.7 间接依赖 npm
is-date-object 1.0.2 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
resolve 1.18.1 间接依赖 npm
object-keys 1.1.1 间接依赖 npm
has-flag 3.0.0 间接依赖 npm
axios 0.18.1 间接依赖 npm
get-intrinsic 1.0.1 间接依赖 npm
file-type 7.7.1 间接依赖 npm
balanced-match 1.0.0 间接依赖 npm
lodash.once 4.1.1 间接依赖 npm
aws-sign2 0.7.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
eslint 7.11.0 直接依赖 npm
eslint-visitor-keys 2.0.0 间接依赖 npm
color-string 1.5.4 间接依赖 npm
is-redirect 1.0.0 间接依赖 npm
websocket 1.0.32 间接依赖 npm
object.assign 4.1.2 间接依赖 npm
functional-red-black-tree 1.0.1 间接依赖 npm
ansi-regex 5.0.0 间接依赖 npm
slice-ansi 2.1.0 间接依赖 npm
yaeti 0.0.6 间接依赖 npm
jsprim 1.4.1 间接依赖 npm
oauth-sign 0.9.0 间接依赖 npm
(0)
上一篇 2023年10月30日
下一篇 2023年10月30日

相关推荐

  • GetPublii/Publii 软件分析报告

    基础信息 项目名称:GetPublii/Publii 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718087644739141632/1718087645334732800 此报告由Murphysec提供 漏…

    软件分析 2023年10月28日
    0
  • cmcculloh/toggleElements 软件分析报告

    基础信息 项目名称:cmcculloh/toggleElements 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716752400948969472/1716752403398443008 此报告由Murph…

    软件分析 2023年10月24日
    0
  • ethereum/remix-project 软件分析报告

    基础信息 项目名称:ethereum/remix-project 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721171512857268224/1725998304657367040 此报告由Murphys…

    软件分析 2023年11月19日
    0
  • ceramic/ceramic 软件分析报告

    基础信息 项目名称:ceramic/ceramic 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1716610830166523904/1716610830422376448 此报告由Murphysec提供 漏洞…

    软件分析 2023年10月24日
    0
  • googlearchive/py-gfm 软件分析报告

    基础信息 项目名称:googlearchive/py-gfm 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718297583658254336/1718297583737946112 此报告由Murphysec…

    软件分析 2023年10月29日
    0